| Home | Libraries | People | FAQ | More

##### join

###### Description

Returns the result of joining 2 sequences, given the sequence types.

###### Synopsis

    template<
        typename LhSequence,
        typename RhSequence
        >
    struct join
    {
        typedef unspecified type;
    };

###### Expression Semantics

    result_of::join<LhSequence, RhSequence>::type

Return type:

- A model of Forward Sequence.
- A model of Associative Sequence if `LhSequence` and `RhSequence` implement the Associative Sequence model.

Semantics: Returns a sequence containing the elements of `LhSequence` followed by the elements of `RhSequence`. The order of the elements in the 2 sequences is preserved.

###### Complexity

Constant.

###### Header

    #include <boost/fusion/algorithm/transformation/join.hpp>
    #include <boost/fusion/include/join.hpp>